Skip to main content
`Ctrl`+`K`

# Exponential1D

class astropy.modeling.functional_models.Exponential1D(amplitude=1, tau=1, **kwargs)

  Bases: `Fittable1DModel`

  One dimensional exponential model.

  Parameters:
    amplitude `python:float`, optional
    tau `python:float`, optional

  See also

  `Logarithmic1D`, `Gaussian1D`

  Attributes Summary

  `amplitude` |
  `input_units` | This property is used to indicate what units or sets of units the evaluate method expects, and returns a dictionary mapping inputs to units (or `None` if any units are accepted).
  `param_names` | Names of the parameters that describe models of this type.
  `tau` |

  Methods Summary

  `evaluate`(x, amplitude, tau) | Evaluate the model on some input variables.
  `fit_deriv`(x, amplitude, tau) | Derivative with respect to parameters.

  Attributes Documentation

  amplitude = Parameter('amplitude', value=1.0)
  input_units
  param_names = ('amplitude', 'tau')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  tau = Parameter('tau', value=1.0)

  Methods Documentation

  static evaluate(x, amplitude, tau)

    Evaluate the model on some input variables.

  static fit_deriv(x, amplitude, tau)

    Derivative with respect to parameters.